Check whether a number is suppressed

GET
/v1/sms/suppressions/check

Authorization

bearerAuth
headerAuthorizationBearer <token>

A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.

Query Parameters

phone_number*string
Match^\+[1-9]\d{6,14}$

Header Parameters

Coss-Version?"2026-10-10"

The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.

Value in"2026-10-10"

Response Body

The result.

application/json
  1. response
object*"sms_suppression_check"
Value in"sms_suppression_check"
phone_number*string
suppressed*boolean

Whether a send to this number would be skipped.

suppression*
import { Coss } from "coss";const coss = new Coss({  apiKey: process.env.COSS_API_KEY,  baseUrl: "https://api.coss.com",});const { data, error } = await coss.sms.suppressions.check({  phone_number: "string",});
{  "object": "sms_suppression_check",  "phone_number": "+14155550199",  "suppressed": false,  "suppression": null}